<?php
$types = get_post_types();
$ignore = array("page", "attachment", "revision", "nav_menu_item");
$postType = get_option('dimme_googlemaps_posttype');
$postType = $postType ? $postType : "googlemap";
$postTypes = get_option('dimme_googlemaps_posttypes');
?>
<div class="wrap">
	<h2>googlemap admin page</h2>
	<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
		<table class="form-table">
			<tr>
				<td scope="row" width="350">
					Custom post type:
					<br>
					<em>Base post type.</em>
				</td>
				<td >
					<select name="dimme_googlemaps_posttype" id="dimme_googlemaps_posttype">
					<?php
					foreach($types as $type) {
						if(in_array($type, $ignore)) {
							// ignore
						} else {
							?>
								<option value="<?php echo $type ?>"<?php echo $type == $postType ? 'selected="selected"' : "" ?>><?php echo $type ?></option>
							<?php
						}
					}
					?>
					</select>
					(Default: googlemap)
				</td>
			</tr>
			<tr>
				<td>
					Support types:
					<br>
					<em>Adds a googlemap on the edit forms in the admin. On the site this adds a googlemap in single view.</em>
				</td>
				<td>
					<?php
					$post_types = get_post_types(array('public'=>true));
					foreach($post_types as $post_type) {
						if(in_array($post_type, $ignore)) {
						} else {
							$pt[] = $post_type;
						}
					}
					if(count($pt) > 0) {
						foreach($pt as $type) {
							echo '<input type="checkbox" value="' . $type . '" name="dimme_googlemaps_posttypes[' . $type . ']" id="dimme_googlemaps_posttypes_' . $type . '" ' . (isset($postTypes[$type]) ? 'checked' : '') . '>';
							echo '<label for="id="dimme_googlemaps_posttypes_' . $type . '">' . $type . '</label>';
							echo '<br>';
						}
					} else {
						echo "No posttypes found";
					}
					?>
				</td>
			</tr>
			<tr>
				<td>
					Base page
					<br>
					<em>Adds a googlemap on the page, adds all the posts/pages with the base googlemap.</em>
				</td>
				<td>
					<?php
					$args = array(
    				'selected'         => get_option('dimme_googlemaps_page_id'),
    				'name'             => 'dimme_googlemaps_page_id',
    				'show_option_none' => '- kies -'
    			);
					wp_dropdown_pages($args)
					?>
				</td>
			</tr>
			<tr>
				<td scope="row">
					<input type="hidden" name="action" value="update" />
					<input type="hidden" name="page_options" value="dimme_googlemaps_posttype,dimme_googlemaps_posttypes,dimme_googlemaps_page_id" />
				</td>
				<td >
					<input type="submit" value="<?php _e('Save Changes') ?>" />
				</td>
			</tr>
		</table>
	</form>
</div>