<?php
/*
Plugin Name: Dimme Googlemap
Plugin URI: http://dimme.nl
Description: Googlemap plugin using custom post types.
Version: 0.3.2
Author: Dimme
Author URI: http://dimme.nl
*/
////For debugging
//define('WP_DEBUG', true);
//define('WP_DEBUG_LOG', true);
//define('WP_DEBUG_DISPLAY', true);
//@ini_set('display_errors', 1);

include(__DIR__ . '/class.dimme-googlemaps.php');
$dimmeGooglemaps = DimmeGooglemaps::get_instance();

if(is_admin()) {
    include(__DIR__ . '/class.dimme-googlemaps-admin.php');
    $dimmeGooglemapsAdmin = new DimmeGooglemapsAdmin();
}

function dimme_googlemaps_activate()
{
    global $dimme_googlemaps_db_version;
    $dimme_googlemaps_db_version = "0.1";
    $installed_ver = get_option("dimme_googlemaps_db_version");

    if ($installed_ver != $dimme_googlemaps_db_version) {
        global $wpdb;
        $sql = "CREATE TABLE {$wpdb->prefix}dimme_googlemaps (
			ID bigint(20) unsigned NOT NULL AUTO_INCREMENT,
			post_id bigint(20) unsigned NOT NULL DEFAULT '0',
			post_type varchar(20) DEFAULT 'post',
			item_date datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
			latitude float(12,7) DEFAULT '0.0000000',
			longtitude float(12,7) DEFAULT '0.0000000',
			PRIMARY KEY (ID)
		)";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);

        update_option("dimme_googlemaps_db_version", $dimme_googlemaps_db_version);
    }
    return true;
}

register_activation_hook(__FILE__, "dimme_googlemaps_activate");