jQuery(document).ready(function ($) {
    if ($("#dimme-googlemaps-map").length > 0) {
        var geocoder = new google.maps.Geocoder();
        var latt = $("#latitude").val();
        var longg = $("#longtitude").val();
        if (latt && longg) {
            var latlng = new google.maps.LatLng(latt, longg);
        } else if (google.loader.ClientLocation) {
            var latt = google.loader.ClientLocation.latitude;
            var longg = google.loader.ClientLocation.longitude;
            var latlng = new google.maps.LatLng(latt, longg);
        } else {
            var latlng = new google.maps.LatLng("40.41153868", "-3.70362707");
        }

        var myOptions = {
            zoom: 13,
            center: latlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };

        var map = new google.maps.Map(document.getElementById("dimme-googlemaps-map"), myOptions);

        var marker = new google.maps.Marker({
            draggable: true,
            position: latlng,
            map: map,
            title: 'Move me!'
        });
        google.maps.event.addListener (marker, 'dragend', function (event) {
            // Pan to this position (doesn't work!)
            pp = marker.getPosition();

            document.getElementById("latitude").value = pp.lat();
            document.getElementById("longtitude").value = pp.lng();

            map.panTo (pp);
        });
        function searchAddress() {
            var address = $("#searchAddress").val();
            geocoder.geocode({'address': address}, function (results, status) {
                if (status == google.maps.GeocoderStatus.OK) {
                    map.panTo(results[0].geometry.location);
                    marker.setPosition(results[0].geometry.location);
                    document.getElementById("latitude").value = results[0].geometry.location.lat();
                    document.getElementById("longtitude").value = results[0].geometry.location.lng();
                } else {
                    alert("Geocode was not successful for the following reason: " + status);
                }
            });
        }

        $("#doSearchAddress").click(function () {
            searchAddress();
            return false;
        });
        $("#searchAddress").keydown(function (e) {
            if (e.keyCode == 13) {
                searchAddress();
                return false;
            }
        });
    }
});